%define name libgdgeda
%define version 1.8
%define release 1mdk


Summary: 	Graphical libraries for the gEDA project
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source:		%{name}-%{version}.tar.bz2
Url:		http://www.geda.seul.org
License:	LGPL 
Group: 		Sciences/Other
BuildRoot:    	%{_tmppath}/%{name}-buildroot
BuildRequires:  zlib >= 1.1
BuildRequires:  libpng >= 1.0

%description
Libgdgeda is a hack on libgd, which is a graphics library.  It allows your
code to quickly draw images complete with lines, arcs, text, multiple
colors, cut and paste from other images, and flood fills, and write out
the result as a .PNG file.

%package devel
Summary:	Graphical development libraries for the gEDA project
Group:		Development/C

%description devel
This package contains libgdgeda header files that are needed for
development.
Libgdgeda is a hack on libgd, which is a graphics library. It allows your
code to quickly draw images complete with lines, arcs, text, multiple
colors, cut and paste from other images, and flood fills, and write out
the result as a .PNG file.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
%configure
%make


%install
%makeinstall
./libtool --finish $RPM_BUILD_ROOT/%{_libdir}

%post 
/sbin/ldconfig
%postun 
/sbin/ldconfig

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HISTORY NEWS README README.1ST
/%{_libdir}/libgdgeda.so.4
/%{_libdir}/libgdgeda.so.4.0.0
/%{_bindir}/libgdgeda-config

%files devel
%defattr(-,root,root)
/%{_libdir}/libgdgeda.so
/%{_libdir}/libgdgeda.a
/%{_libdir}/libgdgeda.la
%dir %{_includedir}/gdgeda
%{_includedir}/gdgeda/*

%changelog
* Tue Mar 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8-1mdk
- updated by Michael Brown <mbrown@linux-mandrake.com> :
	- Up to 1.8
	- Added buildRequires: for zlib and libpng in accordance with
  	instructions.
	- Updated files-doc list
	- Library major version now up to 4

* Fri Sep 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.6-2mdk
- bzip2 archive
- BM
- macros

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6-1mdk
- first mdk spec
